SVNKit Home

## org.tmatesoft.svn.core.wc.xml
Class SVNXMLInfoHandler

    java.lang.Object
      org.tmatesoft.svn.core.wc.xml.AbstractXMLHandler
          org.tmatesoft.svn.core.wc.xml.SVNXMLInfoHandler

All Implemented Interfaces:
  ISVNInfoHandler, Locator

public class SVNXMLInfoHandler
extends AbstractXMLHandler
implements ISVNInfoHandler

Version:
  1.1.1
Author:
  TMate Software Ltd.

Constructor Summary
`SVNXMLInfoHandler(ContentHandler contentHandler)` Creates a new info handler.
`SVNXMLInfoHandler(ContentHandler contentHandler, org.tmatesoft.svn.util.ISVNDebugLog log)` Creates a new info handler.

Method Summary
`protected String` `getHeaderName()`
`protected String` `getRelativePath(File path)`
`protected String` `getTargetPath()`
`void` `handleInfo(SVNInfo info)` Handles item's information using an SVNInfo object.
`void` `setTargetPath(File path)` Sets the target path what makes all paths be relative to this one.

Methods inherited from class org.tmatesoft.svn.core.wc.xml.AbstractXMLHandler
`addAttribute, addTag, closeTag, endDocument, getColumnNumber, getDebugLog, getLineNumber, getPublicId, getSystemId, openTag, startDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVNXMLInfoHandler

    public SVNXMLInfoHandler(ContentHandler contentHandler)

  Creates a new info handler.

Parameters:
  `contentHandler` - a ContentHandler to form an XML tree

### SVNXMLInfoHandler

    public SVNXMLInfoHandler(ContentHandler contentHandler,
                             org.tmatesoft.svn.util.ISVNDebugLog log)

  Creates a new info handler.

Parameters:
  `contentHandler` - a ContentHandler to form an XML tree
  `log` - a debug logger

Method Detail

### setTargetPath

    public void setTargetPath(File path)

  Sets the target path what makes all paths be relative to this one.

  Parameters:
    `path` - target path

### getHeaderName

    protected String getHeaderName()

  Specified by:
    `getHeaderName` in class `AbstractXMLHandler`

### handleInfo

    public void handleInfo(SVNInfo info)
                    throws SVNException

  Description copied from interface: `ISVNInfoHandler`
  Handles item's information using an SVNInfo object.

  Specified by:
    `handleInfo` in interface `ISVNInfoHandler`
  Parameters:
    `info` - an object that contain's item's information details
  Throws:
    `SVNException`

### getRelativePath

    protected String getRelativePath(File path)

### getTargetPath

    protected String getTargetPath()

SVNKit Home

Copyright © 2004-2008 TMate Software Ltd. All Rights Reserved.